%define major	11
%define akaimajor 0
%define tarballname libgig
%define libname %mklibname %{name} %{major}
%define libakai %mklibname %{name}-akai %{akaimajor}
%define devname %mklibname %{name} -d
%define devakai %mklibname %{name}-akai -d

Name:		gig
Version:	4.4.1
Release:	%mkrel 1
Summary:	C++ library for loading Gigasampler files and DLS Level 1/2 files
License:	GPLv2 and LGPL
# Note akai library is LGPL
Group:		Sound/Utilities
Source0:	https://download.linuxsampler.org/packages/libgig-%{version}.tar.bz2
URL:		https://www.linuxsampler.org/libgig/

BuildRequires:	pkgconfig(sndfile)
BuildRequires:	pkgconfig(uuid)
BuildRequires:	doxygen
Requires:	%{libname} = %{version}-%{release}

%description
C++ library for accessing Gigasampler/GigaStudio, DLS,
SoundFont and KORG sound files.

%package -n %{libname}
Summary:	C++ library for loading Gigasampler files and DLS Level 1/2 files
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}
Provides:	lib%{name} = %{version}-%{release}

%description -n %{libname}
C++ library for loading Gigasampler files and DLS Level 1/2 files.

%package -n %{devname}
Summary:	Header files for developers
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Requires:	%{_lib}uuid-devel
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{tarballname}-devel = %{version}-%{release}

%description -n %{devname}
Header files for developers.

%package -n %{libakai}
Summary:	C++ library for accessing AKAI disk images
Group:		System/Libraries
License:	LGPL

%description -n %{libakai}
Akai lib

%package -n %{devakai}
Summary:	Header files for developers
Group:		System/Libraries
License:	LGPL
Requires:	%{libakai} = %{version}-%{release}
Provides:	%{name}-akai-devel = %{version}-%{release}

%description -n %{devakai}
Header files for developers.

%prep
%autosetup -p1 -n lib%{name}-%{version}

%build
%configure
%make_build
make docs

%install
%make_install
find %{buildroot} -name "*.la" -delete

mv %{buildroot}/%{_libdir}/libgig/* %{buildroot}/%{_libdir}/
rm -rf %{buildroot}/%{_libdir}/libgig

%files
%doc AUTHORS COPYING ChangeLog NEWS README TODO doc/html
%{_mandir}/man1/*
%{_bindir}/*

%files  -n %{libname}
%{_libdir}/libgig.so.%{major}{,.*}

%files  -n %{devname}
%{_includedir}/*
%{_libdir}/libgig.a
%{_libdir}/libgig.so
%{_libdir}/pkgconfig/gig.pc

%files -n %{libakai}
%{_libdir}/libakai.so.%{akaimajor}{,.*}

%files  -n %{devakai}
%{_libdir}/libakai.a
%{_libdir}/libakai.so
%{_libdir}/pkgconfig/akai.pc


%changelog
* Wed Apr 03 2024 philippedidier <philippedidier> 4.4.1-1.mga10
+ Revision: 2054195
- new version 4.4.1

* Fri Jan 26 2024 philippedidier <philippedidier> 4.4.0-1.mga10
+ Revision: 2035243
- new version 4.4.0

* Wed Mar 30 2022 umeabot <umeabot> 4.3.0-2.mga9
+ Revision: 1833566
- Mageia 9 Mass Rebuild

* Tue May 11 2021 barjac <barjac> 4.3.0-1.mga9
+ Revision: 1722534
- new version 4.3.0
- new major 10

* Mon Feb 17 2020 umeabot <umeabot> 4.2.0-2.mga8
+ Revision: 1537382
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Oct 30 2019 barjac <barjac> 4.2.0-1.mga8
+ Revision: 1456855
- new version 4.2.0
- drop snapshot patch

* Sat Feb 09 2019 barjac <barjac> 4.1.0-4.mga7
+ Revision: 1364496
- patch to latest trunk to fix gigedit build

* Sun Sep 23 2018 umeabot <umeabot> 4.1.0-3.mga7
+ Revision: 1297886
- Mageia 7 Mass Rebuild

* Fri Dec 22 2017 wally <wally> 4.1.0-2.mga7
+ Revision: 1183767
- loosen lib pkg requires

* Thu Dec 21 2017 barjac <barjac> 4.1.0-1.mga7
+ Revision: 1183624
- new version 4.1.0
- spec clean-up
- fixed sub-package versioning
- dropped snapshot script
- new major

* Sun Feb 14 2016 umeabot <umeabot> 4.0.0-5.mga6
+ Revision: 960292
- Mageia 6 Mass Rebuild

* Sat Oct 24 2015 barjac <barjac> 4.0.0-4.mga6
+ Revision: 894813
- new version 4.0.0

* Thu Aug 27 2015 cjw <cjw> 3.3.0-3.2671.4.mga6
+ Revision: 870153
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 3.3.0-3.2671.3.mga5
+ Revision: 751161
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.3.0-3.2671.2.mga5
+ Revision: 679569
- Mageia 5 Mass Rebuild

* Tue Sep 02 2014 barjac <barjac> 3.3.0-3.2671.1.mga5
+ Revision: 670949
- new snapshot 2671
- new akai lib and dev sub-packages
- added requires %%{_lib}uuid-devel to -devel pkg to  work around strange urpmi behavior

* Tue May 13 2014 barjac <barjac> 3.3.0-3.2546.5.mga5
+ Revision: 622389
- new snapshot 2546

* Fri May 09 2014 barjac <barjac> 3.3.0-3.2459.4.mga5
+ Revision: 621651
- revert to svn 2459
- use find -delete
- previous commit was a mistake

* Thu May 08 2014 barjac <barjac> 3.3.0-3.mga5
+ Revision: 621293
- new version 3.3.0
- disable parallel build
- patch to fix declarations

* Sat Oct 19 2013 umeabot <umeabot> 3.3.0-2.2459.2.mga4
+ Revision: 531784
- Mageia 4 Mass Rebuild

* Sun Aug 11 2013 barjac <barjac> 3.3.0-2.2459.1.mga4
+ Revision: 465337
- new snapshot 2459
- add major check
- delete *.la rather than exclude

* Sat Jan 12 2013 umeabot <umeabot> 3.3.0-2.2379.2.mga3
+ Revision: 351551
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 11 2013 barjac <barjac> 3.3.0-2.2379.1.mga3
+ Revision: 347896
- correct release format as interim until version update

* Wed Jan 09 2013 boklm <boklm> 3.3.0-2.2379.mga3
+ Revision: 343990
- Add rel macro so that youri updater can bump release.

* Wed Nov 14 2012 barjac <barjac> 3.3.0-1.2379.mga3
+ Revision: 317595
- add BR pkgconfig(uuid)

* Mon Nov 12 2012 barjac <barjac> 3.3.0-0.2379.mga3
+ Revision: 317266
- fix libs group
- spec cleaned
- update to svn snapshot with bug fixes
- thanks to Philippe Didier for work on this
- imported package gig

